<?php
    include '../../../Coalesys.PanelBar.php';
    include 'index.cb.php';

    $PanelBar1 = CreatePanelBar();
    $PanelBar1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $PanelBar1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys PanelBar for PHP Sample</title>
    <script src="./SetHeight.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#8d9bb2;}
        .csDescription {border-width:0px;}
        <?php echo $PanelBar1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $PanelBar1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody" onload="mySetHeight();" onresize="mySetHeight();">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">PanelBar for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl"><?php echo $PanelBar1->GeneratePanelBar(0) ?></div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Dynamic Height:</div>
                    <div class="csContent">
                        The client-side JavaScript function <b>cspbSetHeight</b> is available to perform custom PanelBar resizing.<br />
                        <br />
                        The first requirement of using this function is to set the <b>ExpandMode</b> property to &quot;Calculated Height&quot; as the other values are always the height of the Group content:<br />
                        <br />
                        <div class="csCode">$PanelBar-&gt;setExpandMode(Coalesys\PanelBar\ExpandModeConstants::SingleGroupCalculatedHeight);</div>
                        <br />
                        Now, you can invoke the <b>cspbSetHeight</b> function to set the height of the PanelBar control.
                        The first time you want to invoke it is probably during the OnLoad event.
                        For example:<br />
                        <br />
                        <div class="csComment">// The one parameter is the desired height in pixels</div>
                        <div class="csCode">&lt;body onload=&quot;cspbSetHeight(300);&quot;&gt;</div>
                        <br />
                        You will probably want to set the height in relation to something, such as the web browser window height.
                        In that case, it is probably best to define a new function on the page to perform any necessary calculations and then invoke <b>cspbSetHeight</b> at the end of the new function.<br />
                        <br />
                        This sample defines the helper function called <b>mySetHeight</b> which determines the current height of the page.
                        It also attaches this function to the OnResize event to adjust the height of the PanelBar control when the browser window is resized.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $PanelBar1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /BasicFeatures<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/DynamicHeight
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
