<?php
    include '../../../Coalesys.PanelBar.php';
    include 'index.cb.php';

    $groupSelected = "CPU Usage";
    if (isset($_REQUEST["groupSelected"]))
    {
        $groupSelected = $_REQUEST["groupSelected"];
    }
    $PanelBar1 = CreatePanelBar($groupSelected);
    $PanelBar1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $PanelBar1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys PanelBar for PHP Sample</title>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#d4d0c8;}
        .csHeading {background-color:#447898;}
        <?php echo $PanelBar1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $PanelBar1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">PanelBar for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl"><?php echo $PanelBar1->GeneratePanelBar(0) ?></div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Using Query String:</div>
                    <div class="csContent">
                        You can persist the selected Group between page refresh/loading by setting the <b>PanelBar.GroupSelected</b> property based on a value from a URL Query String.<br />
                        <br />
                        In this sample, each Item object has a <b>URL</b> property value with a Query String variable appended.
                        This variable is equal to the Caption of the parent Group object:<br />
                        <br />
                        <div class="csCode">$Item-&gt;setURL(&quot;index.php?groupSelected=CPU%20Usage&quot;);</div>
                        <br />
                        The code above is for the first Group in the sample.
                        Alternatively, you could use the index of the Group instead of its Caption:<br />
                        <br />
                        <div class="csCode">$Item-&gt;setURL(&quot;index.php?groupSelected=0&quot;);</div>
                        <br />
                        Within the ASP page, the <b>PanelBar.GroupSelected</b> property is set from the value of this Query String variable:<br />
                        <br />
                        <div class="csCode">$PanelBar1->setGroupSelected($_REQUEST[&quot;groupSelected&quot;]);</div>
                        <br />
                        In the event that the Query String variable is not available, the default Group configured will be displayed.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $PanelBar1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /StatePersistence<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/UsingQueryString
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
